> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.dexchange.sn/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirmation retrait Wizall

> Confirm a pending Wizall transaction using OTP

<Info>Une clé API est requis pour acceder à cette ressource</Info>


## OpenAPI

````yaml POST /api/v1/transaction/confirm/wizall
openapi: 3.0.1
info:
  title: DEXCHANGE-API
  description: >-
    Unifiez tous vos paiements mobiles à travers une seule API puissante.
    DEXCHANGE-API est une passerelle de paiement qui regroupe plusieurs wallets
    (Orange Money, Wave, Free Money, Wizall) sur une seule API, simplifiant
    l'intégration des paiements mobiles en Afrique de l'Ouest.
  version: 1.0.0
  contact:
    name: DEXCHANGE Support
    email: team@dexchange.sn
    url: https://docs-api.dexchange.sn
  license:
    name: MIT
servers:
  - url: https://api-m.dexchange.sn
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: Transactions
    description: Operations for managing payment transactions
  - name: Merchant
    description: Merchant-specific payment operations
  - name: Services
    description: Service and balance information
  - name: Billing
    description: Bill payment and prepaid top-up operations
paths:
  /api/v1/transaction/confirm/wizall:
    post:
      tags:
        - Transactions
      summary: Confirm Wizall transaction
      description: Confirm a pending Wizall transaction using OTP
      operationId: confirmWizallTransaction
      requestBody:
        description: Wizall confirmation details
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WizallConfirmationRequest'
            example:
              transactionId: DEX123456789
              otp: '123456'
        required: true
      responses:
        '200':
          description: Transaction successfully confirmed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WizallConfirmationResponse'
        '400':
          description: Invalid OTP or transaction ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    WizallConfirmationRequest:
      type: object
      properties:
        transactionId:
          type: string
        otp:
          type: string
    WizallConfirmationResponse:
      type: object
      properties:
        message:
          type: string
        transaction:
          $ref: '#/components/schemas/ConfirmationWizallDetails'
      required:
        - message
        - transaction
    Error:
      type: object
      properties:
        message:
          type: array
          items:
            type: string
        success:
          type: boolean
      required:
        - message
        - success
    ConfirmationWizallDetails:
      type: object
      properties:
        success:
          type: boolean
        amount:
          type: number
        fee:
          type: number
        transactionId:
          type: string
        externalTransactionId:
          type: string
        Status:
          type: string
      required:
        - success
        - amount
        - fee
        - transactionId
        - externalTransactionId
        - Status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Entrez votre clé API comme: Bearer <API_KEY>'

````